# Function getController

- getController(element: Element, name?: string): Scope

  Gets the controller instance for a given element, if exists. Defaults to "ngControllerController"

  #### Parameters

  - element: Element

    The DOM element to get data from.

  - `Optional` name: string

    The DOM element to get data from.

  #### Returns Scope

  - The retrieved data
  - Defined in src/shared/dom.js:425